<div class="no-margins row set-password-background">
  <div class="col-sm col-md-6 col-lg-4 offset-lg-4 offset-md-3 horizontal-center  align-self-center">
    <div class="card card-border">
      <div class="card-header text-center">
        <span class="set-password-header text-primary">Set Password</span>
      </div>
      <div class="card-body">
        <form class="form-horizontal"
              novalidate
              (ngSubmit)="passwordFormGroup.valid ? setPasswordAndPin() :
              showErrorMessage()">
          <div>
            <div class="form-group">
              <input type="password"
                     [type]="isHidden ? 'password': 'text'"
                     autocomplete="off"
                     placeholder="Enter Password"
                     [formControl]="passwordControl"
                     required>
            </div>
            <div class="form-group">
              <input type="password"
                     [type]="isHidden ? 'password': 'text'"
                     autocomplete="off"
                     placeholder="Enter Confirm"
                     [formControl]="confirmPasswordControl"
                     required>
            </div>
          </div>
          <div class="col-sm text-center">
            <button type="submit" [disabled]="!passwordFormGroup.valid"
                    class="btn btn-primary login-button btn-block">
              <span>Set Password</span>
            </button>
            <!--<button mat-raised-button type="button" class="btn btn-default" (click)="goToRegisterPage()">Register-->
            <!--</button>-->
          </div>
          <br>
        </form>
      </div>
    </div>
  </div>
</div>

